Bug 59841 - Can't configure tr0 using text install if eth0 is present
Summary: Can't configure tr0 using text install if eth0 is present
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-13 20:05 UTC by Megan Bock
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 16:37:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Megan Bock 2002-02-13 20:05:41 UTC
Description of Problem:
If a system has both tr0 and eth0, you can configure only eth0 in the text 
mode install. There is no way to specify which card to apply settings to -- static IP settings are 
automatically assigned to eth0. In GUI install, you can configure either tr0 or eth0 (or both). 


Even when you know that this will happen, you can't just skip it to do later. You have to enter 
network settings that you know are going to be wrong or incomplete.	


Version-Release 
number of selected component (if applicable):


How Reproducible:
Every 
time.

Steps to Reproduce:
1. Install in text mode on a system that has tr0 and eth0.
2. 
Enter static IP settings.
3. cat /etc/sysconfig/network-scripts/ifcfg-tr0 and ifcfg-eth0. 
eth0 will have network settings; tr0 will have only DEVICE=tr0 and ONBOOT=no.

Actual 
Results:
Static IP information is written to /etc/sysconfig/network-scripts/ifcfg-eth0. 
You must reconfigure network settings.

Expected Results:
When multiple adapters are 
present, installer should ask which adapter settings are for.

Additional 
Information:

Comment 1 Jeremy Katz 2002-02-28 22:51:48 UTC
We now allow you to configure all interfaces in text mode

Comment 2 Jay Turner 2002-03-13 14:23:27 UTC
Can you confirm this issue is resolved?

Comment 3 Megan Bock 2002-03-21 15:27:47 UTC
I tested this and the installer does give the opportunity to configure both 
cards.

Comment 4 Jeremy Katz 2002-03-21 21:07:41 UTC
Closing as rawhide then


Note You need to log in before you can comment on or make changes to this bug.